/*
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <ph@desktopbsd.net>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __IPV4NETMASK_H
#define __IPV4NETMASK_H

#include <ipv4addr.h>

/** @brief IPv4Addr with some constraints for subnet masks.
  *
  * Reimplements a few functions to make sure that
  * no addresses can be set that are not valid
  * IPv4 subnet masks.
  */
class IPv4Netmask : public IPv4Addr {
public:
	IPv4Netmask();
	IPv4Netmask(const QString &);
	IPv4Netmask(const in_addr &);

	bool	setAddr(const QString &);
	bool	setAddr(in_addr);
};

#endif /* __IPV4NETMASK_H */
